<template>
    <div>
        <input
            type="file"
            accept="image/*"
            @change="onFileChange"
            ref="fileInput"
            class="hidden"
        />
        <button
            @click="browse"
            class="inline-flex items-center justify-center w-full h-full rounded-full border-2 border-gray-300 focus:outline-none focus:border-blue-500"
        >
            Brows
        </button>

    </div>
</template>

<script>
export default {
    props: {
        value: {
            type: File
        },
    },
    methods: {
        browse() {
            this.$refs.fileInput.click();
        },
        onFileChange(e) {
            const file = e.target.files[0];
            this.$emit('input', file);
        },
    },
}
</script>

<style>

</style>
